#
# spec file for package python3-module-{{ name }}
#
# Copyright (c) {{ year }} {{ user_name }}.
#

Name:    python3-module-{{ name }}
Version: {{ version }}
Release: alt1
Url:     {{ home_page }}
Summary: {{ summary }}
License: {{ license }}
Group:   Development/Python3
Source:  {{ source_url|replace(version, '%{version}') }}
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
{%- if is_extension %}
BuildRequires: python3-devel
{%- else %}
BuildArch: noarch
{%- endif %}
{%- for req in requires %}
BuildRequires:  python3({{ req|replace('(','')|replace(')','') }})
{%- endfor %}
{%- for req in install_requires %}
BuildRequires:  python3({{ req|replace('(','')|replace(')','') }})
{%- endfor %}

%description
{{ description }}

%prep
%setup -q -n {{ name }}-%{version}

%build
%python3_build_debug

%install
%python3_install

%files
{%- if doc_files %}
%doc {{ doc_files|join(" ") }}
{%- endif %}
{%- for script in scripts|default([], true) %}
%_bindir/{{ script }}
{%- endfor %}
%python3_sitelibdir/*

%changelog

